// --------------------------------------------------------------------------
//! @author Sam Deane
//! @date 28/11/2010
//
//  Copyright 2010 Sam Deane, Elegant Chaos. All rights reserved.
// --------------------------------------------------------------------------

@class ECPreferencesController;
@class ECAboutBoxController;

@interface ECAppDelegate : NSObject <NSApplicationDelegate> 
{
	ECPropertyVariable(aboutController, ECAboutBoxController*);
	ECPropertyVariable(preferencesController, ECPreferencesController*);
}

// --------------------------------------------------------------------------
// Public Properties
// --------------------------------------------------------------------------

ECPropertyRetained(aboutController, ECAboutBoxController*);
ECPropertyRetained(preferencesController, ECPreferencesController*);

// --------------------------------------------------------------------------
// Public Methods
// --------------------------------------------------------------------------

- (ECPreferencesController*)	getCachedPreferencesController;
- (NSArray*)					getPreferencePanes;

// --------------------------------------------------------------------------
// Actions
// --------------------------------------------------------------------------

- (IBAction)	openSupport:						(id) sender;
- (IBAction)	openReleaseNotes:					(id) sender;
- (IBAction)	openWebsite:						(id) sender;
- (IBAction)	openStore:							(id) sender;
- (IBAction)	showHelp:							(id) sender;
- (IBAction)	showAboutBox:						(id) sender;
- (IBAction)	showPreferences:					(id) sender;

@end
